> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ragkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# base_list



## OpenAPI

````yaml GET /base_list
openapi: 3.0.3
info:
  title: Ragkit API
  description: OpenAPI spec for the Ragkit API platform.
  license:
    name: private
  version: 1.0.0
servers:
  - url: https://api.ragkit.com/v1
    description: Ragkit API version 1
security:
  - bearerAuth: []
tags:
  - name: base
    description: Interact with `base`s.
  - name: documents
    description: Interact with `documents`s.
  - name: namespaces
    description: Interact with `namespace`s.
  - name: service
    description: Retrieve data about the service.
  - name: test
    description: For testing.
paths:
  /base_list:
    get:
      tags:
        - bases
      summary: List all `bases`s in the specified `namespace`.
      operationId: base_list
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BaseListBody'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseListResponse'
        4XX:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FailureResponse'
        5XX:
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FailureResponse'
components:
  schemas:
    BaseListBody:
      type: object
      required:
        - namespace
      properties:
        namespace:
          type: string
          description: The `namespace` to list the `base`s of.
    BaseListResponse:
      type: object
      required:
        - success
        - data
      properties:
        success:
          type: boolean
          description: Always `true`.
          enum:
            - true
        data:
          type: array
          items:
            $ref: '#/components/schemas/ExposedBase'
          description: The `base` objects.
    FailureResponse:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
          description: Always `false`.
          enum:
            - false
          example: false
        message:
          type: string
          description: The error message.
        help:
          type: string
          description: Additional help information, if available.
          nullable: true
    ExposedBase:
      type: object
      description: The `base`.
      required:
        - namespace
        - key
      properties:
        namespace:
          type: string
          description: The relevant `namespace`.
        key:
          type: string
          description: The key of this `base`.
        description:
          type: string
          description: A description of this `base`.
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````